Delete Workflow Run Comment
curl --request DELETE \
--url https://api-qa.interactly.ai/workflows/v1/workflow-runs/{workflow_run_id}/comments/{comment_logical_id} \
--header 'Authorization: Bearer <token>'{
"workflow_run": {
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"workflow_run": {
"logical_id": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"status": "not_started",
"termination_source": "<string>",
"input_output_pairs": [
{
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "<string>",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "<string>",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {}
},
"run_output": {
"events": [
"<unknown>"
],
"thread_to_node_outputs": {}
},
"evaluation": {},
"iteration_end_state_miscellaneous": {}
}
],
"run_by": "<string>",
"comments": [
{
"logical_id": "<string>",
"content": "<string>",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"version_name": "Initial Version",
"workflow_config_fully_hydrated": {
"workflow_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "User Created",
"llms_config": {
"logical_id": "llm_ebc8cb0c-c3dd-486a-b640-91f9dbfd308c",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"main_response_config": {
"prompt": "<string>"
},
"backchannel_response_config": {
"prompt": "<string>"
},
"default_prompt_prefix": "<string>",
"default_prompt_suffix": "<string>",
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"type": "inline_python",
"code": "<string>"
}
]
},
"mcp_servers": [
{
"server_url": "<string>",
"name": "<string>",
"api_headers": {}
}
],
"global_condition_evaluation_method": "tool_call",
"nodes": [
"<string>"
],
"edges": [
"<string>"
],
"evaluation_config": {
"evaluator_workflow_id": "<string>",
"evaluator_workflow_version_number": 123,
"enable_turn_by_turn_evaluation": false
},
"guardrail_strikes_config": {
"max_guardrail_nodes_before_escalation": 123,
"escalation_node_logical_id": "<string>",
"escalation_message": "<string>"
},
"miscellaneous": {},
"access_config": {
"access_list": [
"<string>"
]
}
},
"node_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"llms_config": {
"logical_id": "llm_8135c6d9-172a-45cb-988f-d422aabbba27",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
],
"edge_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"source_node_logical_id": "<string>",
"destination_node_logical_id": "<string>",
"type": "direct"
}
],
"dynamic_variables": {},
"runtime_variables": {}
},
"workflow_run_id": "<string>",
"miscellaneous": {},
"source_workflow_run_id": "<string>",
"checkpoint_source_turn_index": 123,
"carried_over_llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"carried_over_llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"is_evaluation_run": false,
"evaluation_run_info": {
"evaluation_workflow_run_id": "<string>"
}
},
"debug_info": {},
"schedule_id": "5eb7cf5a86d9755df3a6c593"
}
}Workflow Runs
Delete Workflow Run Comment
Endpoint to delete a comment from a workflow run.
DELETE
/
workflows
/
v1
/
workflow-runs
/
{workflow_run_id}
/
comments
/
{comment_logical_id}
Delete Workflow Run Comment
curl --request DELETE \
--url https://api-qa.interactly.ai/workflows/v1/workflow-runs/{workflow_run_id}/comments/{comment_logical_id} \
--header 'Authorization: Bearer <token>'{
"workflow_run": {
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"workflow_run": {
"logical_id": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"status": "not_started",
"termination_source": "<string>",
"input_output_pairs": [
{
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "<string>",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "<string>",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {}
},
"run_output": {
"events": [
"<unknown>"
],
"thread_to_node_outputs": {}
},
"evaluation": {},
"iteration_end_state_miscellaneous": {}
}
],
"run_by": "<string>",
"comments": [
{
"logical_id": "<string>",
"content": "<string>",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"version_name": "Initial Version",
"workflow_config_fully_hydrated": {
"workflow_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "User Created",
"llms_config": {
"logical_id": "llm_ebc8cb0c-c3dd-486a-b640-91f9dbfd308c",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"main_response_config": {
"prompt": "<string>"
},
"backchannel_response_config": {
"prompt": "<string>"
},
"default_prompt_prefix": "<string>",
"default_prompt_suffix": "<string>",
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"type": "inline_python",
"code": "<string>"
}
]
},
"mcp_servers": [
{
"server_url": "<string>",
"name": "<string>",
"api_headers": {}
}
],
"global_condition_evaluation_method": "tool_call",
"nodes": [
"<string>"
],
"edges": [
"<string>"
],
"evaluation_config": {
"evaluator_workflow_id": "<string>",
"evaluator_workflow_version_number": 123,
"enable_turn_by_turn_evaluation": false
},
"guardrail_strikes_config": {
"max_guardrail_nodes_before_escalation": 123,
"escalation_node_logical_id": "<string>",
"escalation_message": "<string>"
},
"miscellaneous": {},
"access_config": {
"access_list": [
"<string>"
]
}
},
"node_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"llms_config": {
"logical_id": "llm_8135c6d9-172a-45cb-988f-d422aabbba27",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
],
"edge_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"source_node_logical_id": "<string>",
"destination_node_logical_id": "<string>",
"type": "direct"
}
],
"dynamic_variables": {},
"runtime_variables": {}
},
"workflow_run_id": "<string>",
"miscellaneous": {},
"source_workflow_run_id": "<string>",
"checkpoint_source_turn_index": 123,
"carried_over_llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"carried_over_llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"is_evaluation_run": false,
"evaluation_run_info": {
"evaluation_workflow_run_id": "<string>"
}
},
"debug_info": {},
"schedule_id": "5eb7cf5a86d9755df3a6c593"
}
}Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
Response model for a single workflow run. Contains a WorkflowRunsModel object.
Single workflow run object
Show child attributes
Show child attributes
⌘I